/* Process model C form file: dummy.pr.c */
/* Portions of this file copyright 1992-2000 by OPNET, Inc. */



/* This variable carries the header into the object file */
static const char dummy_pr_c [] = "MIL_3_Tfile_Hdr_ 70B 30A opnet 7 3A9EC1C1 3A9EC1C1 1 zeus bchenb 0 0 none none 0 0 none 0 0 0 0 0 0                                                                                                                                                                                                                                                                                                                                                                                                                            ";
#include <string.h>



/* OPNET system definitions */
#include <opnet.h>

#if defined (__cplusplus)
extern "C" {
#endif
FSM_EXT_DECS
#if defined (__cplusplus)
} /* end of 'extern "C"' */
#endif

#if !defined (VOSD_NO_FIN)
#undef	BIN
#undef	BOUT
#define	BIN		FIN_LOCAL_FIELD(last_line_passed) = __LINE__ - _block_origin;
#define	BOUT	BIN
#define	BINIT	FIN_LOCAL_FIELD(last_line_passed) = 0; _block_origin = __LINE__;
#else
#define	BINIT
#endif /* #if !defined (VOSD_NO_FIN) */



/* State variable definitions */
typedef struct
	{
	/* Internal state tracking for FSM */
	FSM_SYS_STATE
	} dummy_state;

#define pr_state_ptr            		((dummy_state*) SimI_Mod_State_Ptr)

/* This macro definition will define a local variable called	*/
/* "op_sv_ptr" in each function containing a FIN statement.	*/
/* This variable points to the state variable data structure,	*/
/* and can be used from a C debugger to display their values.	*/
#undef FIN_PREAMBLE
#define FIN_PREAMBLE	dummy_state *op_sv_ptr = pr_state_ptr;


/* No Function Block */

enum { _block_origin = __LINE__ };

#if defined (__cplusplus)
extern "C" {
#endif
	void dummy (void);
	Compcode dummy_init (void **);
	void dummy_diag (void);
	void dummy_terminate (void);
	void dummy_svar (void *, const char *, char **);
#if defined (__cplusplus)
} /* end of 'extern "C"' */
#endif




/* Process model interrupt handling procedure */


void
dummy (void)
	{
	int _block_origin = 0;
	FIN (dummy ());
	if (1)
		{


		FSM_ENTER (dummy)

		FSM_BLOCK_SWITCH
			{
			/*---------------------------------------------------------*/
			/** state (st_1) enter executives **/
			FSM_STATE_ENTER_FORCED (0, state0_enter_exec, "st_1", "dummy () [st_1 enter execs]")
				{
				}


			/** state (st_1) exit executives **/
			FSM_STATE_EXIT_FORCED (0, state0_exit_exec, "st_1", "dummy () [st_1 exit execs]")
				{
				}


			/** state (st_1) transition processing **/
			FSM_TRANSIT_FORCE (1, state1_enter_exec, ;)
				/*---------------------------------------------------------*/



			/** state (st_2) enter executives **/
			FSM_STATE_ENTER_UNFORCED (1, state1_enter_exec, "st_2", "dummy () [st_2 enter execs]")
				{
				}


			/** blocking after enter executives of unforced state. **/
			FSM_EXIT (3,dummy)


			/** state (st_2) exit executives **/
			FSM_STATE_EXIT_UNFORCED (1, state1_exit_exec, "st_2", "dummy () [st_2 exit execs]")
				{
				}


			/** state (st_2) transition processing **/
			FSM_TRANSIT_FORCE (1, state1_enter_exec, ;)
				/*---------------------------------------------------------*/



			}


		FSM_EXIT (0,dummy)
		}
	}

#if defined (__cplusplus)
	extern "C" { 
#endif
	extern VosT_Fun_Status Vos_Catmem_Register (const char * , int , VosT_Void_Null_Proc, VosT_Address *);
	extern VosT_Address Vos_Catmem_Alloc (VosT_Address, size_t);
	extern VosT_Fun_Status Vos_Catmem_Dealloc (VosT_Address);
#if defined (__cplusplus)
	}
#endif


Compcode
dummy_init (void ** gen_state_pptr)
	{
	int _block_origin = 0;
	static VosT_Address	obtype = OPC_NIL;

	FIN (dummy_init (gen_state_pptr))

	if (obtype == OPC_NIL)
		{
		/* Initialize memory management */
		if (Vos_Catmem_Register ("proc state vars (dummy)",
			sizeof (dummy_state), Vos_Vnop, &obtype) == VOSC_FAILURE)
			{
			FRET (OPC_COMPCODE_FAILURE)
			}
		}

	*gen_state_pptr = Vos_Catmem_Alloc (obtype, 1);
	if (*gen_state_pptr == OPC_NIL)
		{
		FRET (OPC_COMPCODE_FAILURE)
		}
	else
		{
		/* Initialize FSM handling */
		((dummy_state *)(*gen_state_pptr))->current_block = 0;

		FRET (OPC_COMPCODE_SUCCESS)
		}
	}



void
dummy_diag (void)
	{
	/* No Diagnostic Block */
	}




void
dummy_terminate (void)
	{
	int _block_origin = __LINE__;

	FIN (dummy_terminate (void))

	Vos_Catmem_Dealloc (pr_state_ptr);

	FOUT;
	}




void
dummy_svar (void * gen_ptr, const char * var_name, char ** var_p_ptr)
	{

	FIN (dummy_svar (gen_ptr, var_name, var_p_ptr))

	*var_p_ptr = (char *)OPC_NIL;

	FOUT;
	}

