/* Process model C form file: cdpd_mdbs_col_stat.pr.c */
/* Portions of this file copyright 1992-2003 by OPNET Technologies, Inc. */



/* This variable carries the header into the object file */
const char cdpd_mdbs_col_stat_pr_c [] = "MIL_3_Tfile_Hdr_ 100A 30A op_runsim 7 403E68A5 403E68A5 1 zeus saviol 0 0 none none 0 0 none 0 0 0 0 0 0 0 0 90b 2                                                                                                                                                                                                                                                                                                                                                                                                             ";
#include <string.h>



/* OPNET system definitions */
#include <opnet.h>


#if !defined (VOSD_NO_FIN)
#undef	BIN
#undef	BOUT
#define	BIN		FIN_LOCAL_FIELD(_op_last_line_passed) = __LINE__ - _op_block_origin;
#define	BOUT	BIN
#define	BINIT	FIN_LOCAL_FIELD(_op_last_line_passed) = 0; _op_block_origin = __LINE__;
#else
#define	BINIT
#endif /* #if !defined (VOSD_NO_FIN) */



/* State variable definitions */
typedef struct
	{
	/* Internal state tracking for FSM */
	FSM_SYS_STATE
	/* State Variables */
	int	                    		col_count;
	Stathandle	             		col_count_stathandle;
	} cdpd_mdbs_col_stat_state;

#define pr_state_ptr            		((cdpd_mdbs_col_stat_state*) (OP_SIM_CONTEXT_PTR->mod_state_ptr))
#define col_count               		pr_state_ptr->col_count
#define col_count_stathandle    		pr_state_ptr->col_count_stathandle

/* These macro definitions will define a local variable called	*/
/* "op_sv_ptr" in each function containing a FIN statement.	*/
/* This variable points to the state variable data structure,	*/
/* and can be used from a C debugger to display their values.	*/
#undef FIN_PREAMBLE_DEC
#undef FIN_PREAMBLE_CODE
#if defined (OPD_PARALLEL)
#  define FIN_PREAMBLE_DEC	cdpd_mdbs_col_stat_state *op_sv_ptr; OpT_Sim_Context * tcontext_ptr;
#  define FIN_PREAMBLE_CODE	\
		if (VosS_Mt_Perform_Lock) \
			VOS_THREAD_SPECIFIC_DATA_GET (VosI_Globals.simi_mt_context_data_key, tcontext_ptr, SimT_Context *); \
		else \
			tcontext_ptr = VosI_Globals.simi_sequential_context_ptr; \
		op_sv_ptr = ((cdpd_mdbs_col_stat_state *)(tcontext_ptr->mod_state_ptr));
#else
#  define FIN_PREAMBLE_DEC	cdpd_mdbs_col_stat_state *op_sv_ptr;
#  define FIN_PREAMBLE_CODE	op_sv_ptr = pr_state_ptr;
#endif


/* No Function Block */


#if !defined (VOSD_NO_FIN)
enum { _op_block_origin = __LINE__ };
#endif

/* Undefine optional tracing in FIN/FOUT/FRET */
/* The FSM has its own tracing code and the other */
/* functions should not have any tracing.		  */
#undef FIN_TRACING
#define FIN_TRACING

#undef FOUTRET_TRACING
#define FOUTRET_TRACING

#if defined (__cplusplus)
extern "C" {
#endif
	void cdpd_mdbs_col_stat (OP_SIM_CONTEXT_ARG_OPT);
	VosT_Obtype cdpd_mdbs_col_stat_init (int * init_block_ptr);
	VosT_Address cdpd_mdbs_col_stat_alloc (VOS_THREAD_INDEX_ARG_COMMA VosT_Obtype, int);
	void cdpd_mdbs_col_stat_diag (OP_SIM_CONTEXT_ARG_OPT);
	void cdpd_mdbs_col_stat_terminate (OP_SIM_CONTEXT_ARG_OPT);
	void cdpd_mdbs_col_stat_svar (void *, const char *, void **);


	VosT_Fun_Status Vos_Define_Object (VosT_Obtype * _op_obst_ptr, const char * _op_name, unsigned int _op_size, unsigned int _op_init_obs, unsigned int _op_inc_obs);
	VosT_Address Vos_Alloc_Object_MT (VOS_THREAD_INDEX_ARG_COMMA VosT_Obtype _op_ob_hndl);
	VosT_Fun_Status Vos_Poolmem_Dealloc_MT (VOS_THREAD_INDEX_ARG_COMMA VosT_Address _op_ob_ptr);
#if defined (__cplusplus)
} /* end of 'extern "C"' */
#endif




/* Process model interrupt handling procedure */


void
cdpd_mdbs_col_stat (OP_SIM_CONTEXT_ARG_OPT)
	{

#if !defined (VOSD_NO_FIN)
	int _op_block_origin = 0;
#endif
	FIN_MT (cdpd_mdbs_col_stat ());
	if (1)
		{


		FSM_ENTER_NO_VARS ("cdpd_mdbs_col_stat")

		FSM_BLOCK_SWITCH
			{
			/*---------------------------------------------------------*/
			/** state (init) enter executives **/
			FSM_STATE_ENTER_FORCED_NOLABEL (0, "init", "cdpd_mdbs_col_stat [init enter execs]")
				FSM_PROFILE_SECTION_IN ("cdpd_mdbs_col_stat [init enter execs]", state0_enter_exec)
				{
				/* Register Local Statistics */
				
				col_count = 0;
				col_count_stathandle = op_stat_reg ("collision count", OPC_STAT_INDEX_NONE, OPC_STAT_LOCAL);
				
				}
				FSM_PROFILE_SECTION_OUT (state0_enter_exec)

			/** state (init) exit executives **/
			FSM_STATE_EXIT_FORCED (0, "init", "cdpd_mdbs_col_stat [init exit execs]")
				FSM_PROFILE_SECTION_IN ("cdpd_mdbs_col_stat [init exit execs]", state0_exit_exec)
				{
				}
				FSM_PROFILE_SECTION_OUT (state0_exit_exec)


			/** state (init) transition processing **/
			FSM_TRANSIT_FORCE (1, state1_enter_exec, ;, "default", "", "init", "col_stat")
				/*---------------------------------------------------------*/



			/** state (col_stat) enter executives **/
			FSM_STATE_ENTER_UNFORCED (1, "col_stat", state1_enter_exec, "cdpd_mdbs_col_stat [col_stat enter execs]")
				FSM_PROFILE_SECTION_IN ("cdpd_mdbs_col_stat [col_stat enter execs]", state1_enter_exec)
				{
				/* If I get an interrupt (from statistic stream)
				increase collision counter and write to statistics */
				
				if (op_intrpt_type()==OPC_INTRPT_STAT)
				{
					col_count++;
					op_stat_write(col_count_stathandle, col_count);
				}
				}
				FSM_PROFILE_SECTION_OUT (state1_enter_exec)

			/** blocking after enter executives of unforced state. **/
			FSM_EXIT (3,"cdpd_mdbs_col_stat")


			/** state (col_stat) exit executives **/
			FSM_STATE_EXIT_UNFORCED (1, "col_stat", "cdpd_mdbs_col_stat [col_stat exit execs]")
				FSM_PROFILE_SECTION_IN ("cdpd_mdbs_col_stat [col_stat exit execs]", state1_exit_exec)
				{
				}
				FSM_PROFILE_SECTION_OUT (state1_exit_exec)


			/** state (col_stat) transition processing **/
			FSM_TRANSIT_FORCE (1, state1_enter_exec, ;, "default", "", "col_stat", "col_stat")
				/*---------------------------------------------------------*/



			}


		FSM_EXIT (0,"cdpd_mdbs_col_stat")
		}
	}




void
cdpd_mdbs_col_stat_diag (OP_SIM_CONTEXT_ARG_OPT)
	{
	/* No Diagnostic Block */
	}




void
cdpd_mdbs_col_stat_terminate (OP_SIM_CONTEXT_ARG_OPT)
	{

#if !defined (VOSD_NO_FIN)
	int _op_block_origin = __LINE__;
#endif

	FIN_MT (cdpd_mdbs_col_stat_terminate ())

	Vos_Poolmem_Dealloc_MT (OP_SIM_CONTEXT_THREAD_INDEX_COMMA pr_state_ptr);

	FOUT
	}


/* Undefine shortcuts to state variables to avoid */
/* syntax error in direct access to fields of */
/* local variable prs_ptr in cdpd_mdbs_col_stat_svar function. */
#undef col_count
#undef col_count_stathandle

#undef FIN_PREAMBLE_DEC
#undef FIN_PREAMBLE_CODE

#define FIN_PREAMBLE_DEC
#define FIN_PREAMBLE_CODE

VosT_Obtype
cdpd_mdbs_col_stat_init (int * init_block_ptr)
	{

#if !defined (VOSD_NO_FIN)
	int _op_block_origin = 0;
#endif
	VosT_Obtype obtype = OPC_NIL;
	FIN_MT (cdpd_mdbs_col_stat_init (init_block_ptr))

	Vos_Define_Object (&obtype, "proc state vars (cdpd_mdbs_col_stat)",
		sizeof (cdpd_mdbs_col_stat_state), 0, 20);
	*init_block_ptr = 0;

	FRET (obtype)
	}

VosT_Address
cdpd_mdbs_col_stat_alloc (VOS_THREAD_INDEX_ARG_COMMA VosT_Obtype obtype, int init_block)
	{

#if !defined (VOSD_NO_FIN)
	int _op_block_origin = 0;
#endif
	cdpd_mdbs_col_stat_state * ptr;
	FIN_MT (cdpd_mdbs_col_stat_alloc (obtype))

	ptr = (cdpd_mdbs_col_stat_state *)Vos_Alloc_Object_MT (VOS_THREAD_INDEX_COMMA obtype);
	if (ptr != OPC_NIL)
		ptr->_op_current_block = init_block;
	FRET ((VosT_Address)ptr)
	}



void
cdpd_mdbs_col_stat_svar (void * gen_ptr, const char * var_name, void ** var_p_ptr)
	{
	cdpd_mdbs_col_stat_state		*prs_ptr;

	FIN_MT (cdpd_mdbs_col_stat_svar (gen_ptr, var_name, var_p_ptr))

	if (var_name == OPC_NIL)
		{
		*var_p_ptr = (void *)OPC_NIL;
		FOUT
		}
	prs_ptr = (cdpd_mdbs_col_stat_state *)gen_ptr;

	if (strcmp ("col_count" , var_name) == 0)
		{
		*var_p_ptr = (void *) (&prs_ptr->col_count);
		FOUT
		}
	if (strcmp ("col_count_stathandle" , var_name) == 0)
		{
		*var_p_ptr = (void *) (&prs_ptr->col_count_stathandle);
		FOUT
		}
	*var_p_ptr = (void *)OPC_NIL;

	FOUT
	}

